com.r3corda.core.testing / signAll

# signAll

`fun signAll(transactionsToSign: List<WireTransaction>, extraKeys: List<KeyPair>): <ERROR CLASS>`

Signs all transactions passed in.

### Parameters

`transactionsToSign` - Transactions to be signed.
`extraKeys` - extra keys to sign transactions with.

Return
List of SignedTransactions.

`fun LedgerDSL<TestTransactionDSLInterpreter, TestLedgerDSLInterpreter>.signAll(vararg extraKeys: KeyPair): <ERROR CLASS>`

Signs all transactions in the ledger.

### Parameters

`extraKeys` - extra keys to sign transactions with.

Return
List of SignedTransactions.